org.apache.jmeter.visualizers.backend.influxdb

## Class InfluxDBRawBackendListenerClient

- java.lang.Object
- - org.apache.jmeter.visualizers.backend.influxdb.InfluxDBRawBackendListenerClient

- All Implemented Interfaces:
    BackendListenerClient

      public class InfluxDBRawBackendListenerClient
      extends Object
      implements BackendListenerClient

  Implementation of `BackendListenerClient` to write the response times of every sample to InfluxDB. If more "raw" information is required in InfluxDB then this class can be extended or another BackendListener `InfluxdbBackendListenerClient` can be used to send aggregate information to InfluxDB.
  Since:
    5.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfluxDBRawBackendListenerClient()`
    `InfluxDBRawBackendListenerClient(org.apache.jmeter.visualizers.backend.influxdb.InfluxdbMetricsSender sender)` Used for testing.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Arguments` | `getDefaultParameters()` Provide a list of parameters which this test supports.
    `void` | `handleSampleResults(List<SampleResult> sampleResults, BackendListenerContext context)` Handle sampleResults, this can be done in many ways: Write to a file Write to a remote server ...
    `void` | `setupTest(BackendListenerContext context)` Do any initialization required by this client.
    `void` | `teardownTest(BackendListenerContext context)` Do any clean-up required at the end of a test run.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.visualizers.backend.BackendListenerClient

      `createSampleResult`

- - ### Constructor Detail

    - #### InfluxDBRawBackendListenerClient

          public InfluxDBRawBackendListenerClient()

    - #### InfluxDBRawBackendListenerClient

          public InfluxDBRawBackendListenerClient(org.apache.jmeter.visualizers.backend.influxdb.InfluxdbMetricsSender sender)

      Used for testing.
      Parameters:
        `sender` - the `InfluxdbMetricsSender` to use

  - ### Method Detail

    - #### setupTest

          public void setupTest(BackendListenerContext context)
                         throws Exception

      Description copied from interface: `BackendListenerClient`
      Do any initialization required by this client. It is generally recommended to do any initialization such as getting parameter values here rather than `BackendListenerClient.handleSampleResults(List, BackendListenerContext)` in order to add as little overhead as possible to the test.
      Specified by:
        `setupTest` in interface `BackendListenerClient`
      Parameters:
        `context` - provides access to initialization parameters.
      Throws:
        `Exception` - when setup fails

    - #### teardownTest

          public void teardownTest(BackendListenerContext context)

      Description copied from interface: `BackendListenerClient`
      Do any clean-up required at the end of a test run.
      Specified by:
        `teardownTest` in interface `BackendListenerClient`
      Parameters:
        `context` - provides access to initialization parameters.

    - #### handleSampleResults

          public void handleSampleResults(List<SampleResult> sampleResults,
                                          BackendListenerContext context)

      Description copied from interface: `BackendListenerClient`
      Handle sampleResults, this can be done in many ways:
      - Write to a file
      - Write to a remote server
      - ...
      Specified by:
        `handleSampleResults` in interface `BackendListenerClient`
      Parameters:
        `sampleResults` - List of `SampleResult`
        `context` - provides access to initialization parameters.

    - #### getDefaultParameters

          public Arguments getDefaultParameters()

      Description copied from interface: `BackendListenerClient`
      Provide a list of parameters which this test supports. Any parameter names and associated values returned by this method will appear in the GUI by default so the user doesn't have to remember the exact names. The user can add other parameters which are not listed here. If this method returns null then no parameters will be listed. If the value for some parameter is null then that parameter will be listed in the GUI with an empty value.
      Specified by:
        `getDefaultParameters` in interface `BackendListenerClient`
      Returns:
        a specification of the parameters used by this test which should be listed in the GUI, or null if no parameters should be listed.

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.